Bug 1232231 - Review Request: golang-github-spacemonkeygo-spacelog - Hierarchical, leveled, and structured logging library for Go
Summary: Review Request: golang-github-spacemonkeygo-spacelog - Hierarchical, leveled,...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 10:31 UTC by Marek Skalický
Modified: 2015-07-08 17:04 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-30 00:21:37 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Skalický 2015-06-16 10:31:06 UTC
Spec URL: https://mskalick.fedorapeople.org/reviews/golang-github-spacemonkeygo-spacelog/golang-github-spacemonkeygo-spacelog.spec

SRPM URL: https://mskalick.fedorapeople.org/reviews/golang-github-spacemonkeygo-spacelog/golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc20.src.rpm

Description: Hierarchical, leveled, and structured logging library for Go

Fedora Account System Username: mskalick

Koji: it depends on bz#1232209 which is under review. Locally it builds fine.

$ rpmlint /home/mskalick/rpmbuild/SRPMS/golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc20.src.rpm /home/mskalick/rpmbuild/RPMS/noarch/golang-github-spacemonkeygo-spacelog-devel-0-0.1.gitae95ccc.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-06-16 12:10:27 UTC
Summary:
- all Provides and BRs correct
- license correct and valid
- only source codes provided (devel subpackage)
- license in %license macro

Specfile conforms to current packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 2 Jan Chaloupka 2015-06-16 12:18:37 UTC
New Package SCM Request
=======================
Package Name: golang-github-spacemonkeygo-spacelog
Short Description: Hierarchical, leveled, and structured logging library for Go
Upstream URL: https://github.com/spacemonkeygo/spacelog
Owners: jchaloup mskalick
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-06-16 14:01:01 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-17 14:54:08 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc22

Comment 5 Fedora Update System 2015-06-17 14:55:46 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc21

Comment 6 Fedora Update System 2015-06-17 14:58:11 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.el6

Comment 7 Fedora Update System 2015-06-20 21:16:32 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-06-30 00:21:37 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc22 has been pushed to the Fedora 22 stable repository.

Comment 9 Fedora Update System 2015-06-30 00:24:53 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-07-08 17:04:19 UTC
golang-github-spacemonkeygo-spacelog-0-0.1.gitae95ccc.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.